%define upstream_name Dist-Zilla-Plugin-Author-KENTNL-RecommendFixes
%define upstream_version 0.005004

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Recommend generic changes to the dist
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Data::DPath)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Generic::Assertions)
BuildRequires:	perl(MooX::Lsub)
BuildRequires:	perl(Package::DeprecationManager)
BuildRequires:	perl(Test::DZil)
BuildRequires:	perl(Test::Fatal)

BuildArch:	noarch

%description
Nothing interesting to see here.

This module just informs me during "dzil build" that a bunch of changes
that I intend to make to multiple modules have not been applied to the
current distribution.

It does this by spewing colored output.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.5.4-3.mga8
+ Revision: 1503906
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.5.4-2.mga7
+ Revision: 1282982
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.5.4-1.mga7
+ Revision: 1125907
- update to 0.005004

* Sun Jun 19 2016 pterjan <pterjan> 0.5.1-3.mga6
+ Revision: 1025823
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.5.1-2.mga6
+ Revision: 968553
- Mageia 6 Mass Rebuild

* Mon Jul 13 2015 sander85 <sander85> 0.5.1-1.mga6
+ Revision: 853596
- update to 0.005001

* Mon Jul 06 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 852116
- update to 0.005000

* Sun Jun 28 2015 sander85 <sander85> 0.4.3-1.mga6
+ Revision: 846508
- update to 0.004003

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-3.mga5
+ Revision: 743433
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.3.2-1.mga5
+ Revision: 672767
- update to 0.003002

* Sun Aug 31 2014 sander85 <sander85> 0.3.1-1.mga5
+ Revision: 669930
- update to 0.003001

* Thu Aug 21 2014 sander85 <sander85> 0.2.3-1.mga5
+ Revision: 666180
- update to 0.002003

* Mon Aug 18 2014 sander85 <sander85> 0.2.2-1.mga5
+ Revision: 665109
- update to 0.002002

* Sun Aug 17 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 664731
- imported package perl-Dist-Zilla-Plugin-Author-KENTNL-RecommendFixes

